package com.atguigu.ssyx.mq.config;

import org.springframework.amqp.support.converter.Jackson2JsonMessageConverter;
import org.springframework.amqp.support.converter.MessageConverter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RabbitMQConfiguration {
    /**
     * * 重写，并引入消息转换器
     * <dependency>
     * <groupId>com.fasterxml.jackson.dataformat</groupId>
     * <artifactId>jackson-dataformat-xml</artifactId>
     * <version>2.16.0-rc1</version>
     * </dependency>
     *
     * @return MessageConverter
     */
    @Bean
    public MessageConverter jsonMessageConverter() {
        // 1.定义消息转换器
        Jackson2JsonMessageConverter converter = new Jackson2JsonMessageConverter();
        // 2.配置自动创建消息id，用于识别不同消息，也可以在业务中基于ID判断是否是重复消息
        converter.setCreateMessageIds(true);
        return converter;
    }
}