import lombok.extern.slf4j.Slf4j;

import java.util.concurrent.CompletableFuture;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Slf4j
public class Demo5 {
    public static void main(String[] args) throws ExecutionException, InterruptedException {
        ExecutorService executorService = Executors.newFixedThreadPool(3);

        // 线程一 的异步执行
        CompletableFuture<Integer> futureA = CompletableFuture.supplyAsync(() -> {
            int count = 100;
            log.info("线程一：{}", count);
            return count;
        }, executorService);

        // 线程二 异步执行
        CompletableFuture<Integer> futureB = CompletableFuture.supplyAsync(() -> {
            System.out.println(Thread.currentThread().getName() + "--begin..");
            int res = 30;
            System.out.println("二：" + res);
            System.out.println(Thread.currentThread().getName() + "--over..");
            return res;
        }, executorService);

        CompletableFuture<Void> all = CompletableFuture.allOf(futureA, futureB);
        all.get();
        System.out.println("over....");
    }
}
