package com.atguigu.ssyx.activity.controller;


import com.atguigu.ssyx.activity.service.SecKillSkuService;
import com.atguigu.ssyx.common.result.Result;
import com.atguigu.ssyx.model.activity.SeckillSku;
import com.atguigu.ssyx.vo.activity.SeckillSkuVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(value = "SeckillSku管理", tags = "SeckillSku管理")
@RestController
@RequestMapping(value = "/admin/activity/seckillSku")
public class SecKillSkuController {
    @Autowired
    private SecKillSkuService secKillSkuService;

    @ApiOperation(value = "获取分页列表")
    @GetMapping("{page}/{limit}")
    public Result<IPage<SeckillSku>> index(
            @ApiParam(name = "page", value = "当前页码", required = true)
            @PathVariable Long page,
            @ApiParam(name = "limit", value = "每页记录数", required = true)
            @PathVariable Long limit,
            @ApiParam(name = "seckillSkuQueryVo", value = "查询对象", required = false)
            SeckillSkuVo seckillSkuVo
    ) {
        Page<SeckillSku> pageParam = new Page<>();
        IPage<SeckillSku> pageModel = secKillSkuService.selectPage(pageParam, seckillSkuVo);
        return Result.success(pageModel);
    }

    @ApiOperation(value = "获取")
    @GetMapping("get/{id}")
    public Result<SeckillSku> get(@PathVariable Long id) {
        SeckillSku seckillSku = secKillSkuService.getById(id);
        return Result.success(seckillSku);
    }

    @ApiOperation(value = "新增")
    @PostMapping("save")
    public Result<SeckillSku> save(@RequestBody List<SeckillSku> seckillSkuList) {
        secKillSkuService.saveBatch(seckillSkuList);
        return Result.success();
    }

    @ApiOperation(value = "修改")
    @PutMapping("update")
    public Result<SeckillSku> updateById(@RequestBody SeckillSku seckillSku) {
        secKillSkuService.updateById(seckillSku);
        return Result.success();
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("remove/{id}")
    public Result<SeckillSku> remove(@PathVariable Long id) {
        secKillSkuService.removeById(id);
        return Result.success();
    }

    @ApiOperation(value = "根据id列表删除")
    @DeleteMapping("batchRemove")
    public Result<SeckillSku> batchRemove(@RequestBody List<Long> ids) {
        secKillSkuService.removeByIds(ids);
        return Result.success();
    }
}

