package com.atguigu.ssyx.activity.controller;


import com.atguigu.ssyx.activity.service.SeckillTimeService;
import com.atguigu.ssyx.common.result.Result;
import com.atguigu.ssyx.model.activity.SeckillTime;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@Api(value = "秒杀场次管理", tags = "秒杀场次管理")
@RestController
@RequestMapping(value = "/admin/activity/seckillTime")
public class SeckillTimeController {
    @Resource
    private SeckillTimeService seckillTimeService;

    @ApiOperation(value = "获取分页列表")
    @GetMapping()
    public Result<List<SeckillTime>> index() {
        return Result.success(seckillTimeService.list());
    }

    @ApiOperation(value = "获取")
    @GetMapping("get/{id}")
    public Result<SeckillTime> get(@PathVariable Long id) {
        SeckillTime seckillSession = seckillTimeService.getById(id);
        return Result.success(seckillSession);
    }

    @ApiOperation(value = "新增")
    @PostMapping("save")
    public Result save(@RequestBody SeckillTime seckillSession) {
        seckillTimeService.save(seckillSession);
        return Result.success();
    }

    @ApiOperation(value = "修改")
    @PutMapping("update")
    public Result<SeckillTime> updateById(@RequestBody SeckillTime seckillSession) {
        seckillTimeService.updateById(seckillSession);
        return Result.success();
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("remove/{id}")
    public Result<SeckillTime> remove(@PathVariable Long id) {
        seckillTimeService.removeById(id);
        return Result.success();
    }

    @ApiOperation(value = "根据id列表删除")
    @DeleteMapping("batchRemove")
    public Result<SeckillTime> batchRemove(@RequestBody List<Long> idList) {
        seckillTimeService.removeByIds(idList);
        return Result.success();
    }

    @ApiOperation(value = "更新状态")
    @PostMapping("updateStatus/{id}/{status}")
    public Result<SeckillTime> updateStatus(@PathVariable Long id, @PathVariable Integer status) {
        seckillTimeService.updateStatus(id, status);
        return Result.success();
    }
}

