package com.atguigu.ssyx.cart.service.module;

import com.atguigu.ssyx.common.constant.RedisConst;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

@Component
public class CartInfoServiceModule {
    @Autowired
    private RedisTemplate<String, Object> redisTemplate;

    /**
     * * 获取购物车的id
     *
     * @param userId 用户id
     * @return 购物车的key
     */
    public String getCartKey(Long userId) {
        return RedisConst.USER_KEY_PREFIX + userId + RedisConst.USER_CART_KEY_SUFFIX;
    }

    /**
     * * 过期时间
     *
     * @param key Redis中的key
     */
    public void setCartKeyExpire(String key) {
        redisTemplate.expire(key, RedisConst.USER_CART_EXPIRE, TimeUnit.SECONDS);
    }
}
