package com.atguigu.ssyx.user.service;

import com.atguigu.ssyx.model.user.User;
import com.atguigu.ssyx.vo.user.LeaderAddressVo;
import com.atguigu.ssyx.vo.user.UserLoginVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface UserService extends IService<User> {

    /**
     * 先根据openid进行数据库查询
     *
     * @param openId openId
     * @return User
     */
    User getUserByOpenId(String openId);

    /**
     * * 根据用户Id查询默认团长Id
     *
     * @param id 用户Id
     * @return 团藏地址信息
     */
    LeaderAddressVo getLeaderAddressVoByUserId(Long id);

    /**
     * * 获取当前用户登录信息
     *
     * @param userId 用户Id
     * @return UserLoginVo
     */
    UserLoginVo getUserLoginVo(Long userId);
}
